+ Reply to Thread
Page 2 of 2 FirstFirst 1 2
Results 11 to 16 of 16
  1. #11
    Super Member
    Computer Details
    tombu's Computer Details
    Operating System:
    Windows 7 64-bit
    Computer:
    Dell
    Discipline
    Civil
    tombu's Discipline Details
    Occupation
    Design Analyst
    Discipline
    Civil
    Details
    Small Street & Stormwater projects. Traffic Calming and other issues.
    Using
    Civil 3D 2018
    Join Date
    Dec 2010
    Location
    Tallahassee, FL USA
    Posts
    813

    Default

    Registered forum members do not see this ad.

    You could add JT as an alias to JUSTIFYTEXT in Acad.pgp using the ALIASEDIT Express Tool or make a Ctrl+J Shortcut Key for it under Keyboard Shortcuts in the CUI

    One more option is to add a 'Justify Text' flyout to both 'Mtext Object Menu' and 'Mtext Objects Menu' Under 'Shortcut Menus' in the CUI with commands for each option like:
    Name TL
    Macro
    Code:
    $M=$(if,$(eq,$(substr,$(getvar,cmdnames),1,4),GRIP),_justifytext;TL;,^C^C_justifytext;TL)
    and another Justify Text flyout to both 'Text Object Menu' and 'Text Objects Menu' Under 'Shortcut Menus' in the CUI with commands for each option like:
    Name Left
    Macro
    Code:
    $M=$(if,$(eq,$(substr,$(getvar,cmdnames),1,4),GRIP),_justifytext;TL;,^C^C_justifytext;Left)
    I can use the shortcut Ctrl+J, enter JT, or right-click selected text and pick 'Justify Text' to select the justification.
    Layer 0 for ByBlock Block entities, everything else ByLayer. So many issues can be solved with good templates.

  2. #12
    Quantum Mechanic Lee Mac's Avatar
    Computer Details
    Lee Mac's Computer Details
    Operating System:
    Win 7 Pro / Win 10 Pro / Linux Mint
    Discipline
    Multi-disciplinary
    Lee Mac's Discipline Details
    Discipline
    Multi-disciplinary
    Details
    Custom Programming / Software Customisation
    Using
    AutoCAD 2018
    Join Date
    Aug 2008
    Location
    London, England
    Posts
    19,559

    Default

    Quote Originally Posted by dnovember99 View Post
    Mr. Mac, thank you for this. i was playing around with it and i noticed that on the key pad (9)is bottom (6) center and (3) top and then the other side (7) bottom (4) center and (1) top.
    You should find that the justification is set as follows: 7=Top-Left, 8=Top-Center, 9=Top-Right, 4=Middle-Left, 5=Middle-Center, 6=Middle-Right, 1=Bottom-Left etc.

    This is confirmed in my testing - is this not the case?
    Lee Mac ProgrammingTwitterExchange App StoreDropbox (500MB free)

    With Mathematics there is the possibility of perfect rigour, so why settle for less?

  3. #13
    Super Member rlx's Avatar
    Computer Details
    rlx's Computer Details
    Operating System:
    W10
    Computer:
    i74ghz/ssd500/2tbhdd
    Discipline
    Electrical
    rlx's Discipline Details
    Occupation
    electrical designer dragon
    Discipline
    Electrical
    Details
    I dont excel in anything but I rearly give up
    Using
    AutoCAD 2016
    Join Date
    Nov 2014
    Location
    Bergen op Zoom , Netherlands
    Posts
    997

    Default

    Quote Originally Posted by Lee Mac View Post
    You should find that the justification is set as follows: 7=Top-Left, 8=Top-Center, 9=Top-Right, 4=Middle-Left, 5=Middle-Center, 6=Middle-Right, 1=Bottom-Left etc.

    This is confirmed in my testing - is this not the case?

    Numeric layouts can differ. At my work couple of colleagues are from Belgium and they prefer their own keyboard layout so having to type something on their keybord is well, challenging to say the least. But nice little routine, both from you and ronjonp.

  4. #14
    Full Member
    Using
    AutoCAD 2010
    Join Date
    May 2009
    Posts
    68

    Default

    @ Lee
    If that were synonymous with text, now it works only with MTexte

    Würde das auch mit Text gehen, jetzt funktioniert das nur mit MTexte

  5. #15
    Quantum Mechanic Lee Mac's Avatar
    Computer Details
    Lee Mac's Computer Details
    Operating System:
    Win 7 Pro / Win 10 Pro / Linux Mint
    Discipline
    Multi-disciplinary
    Lee Mac's Discipline Details
    Discipline
    Multi-disciplinary
    Details
    Custom Programming / Software Customisation
    Using
    AutoCAD 2018
    Join Date
    Aug 2008
    Location
    London, England
    Posts
    19,559

    Default

    Quote Originally Posted by dober View Post
    @ Lee
    If that were synonymous with text, now it works only with MTexte
    The following should work with both -
    Code:
    (defun c:mj ( / g i k l s )
        (setq k
           '(
                (49 ((71 . 7)) ((72 . 0) (73 . 1)))
                (50 ((71 . 8)) ((72 . 1) (73 . 1)))
                (51 ((71 . 9)) ((72 . 2) (73 . 1)))
                (52 ((71 . 4)) ((72 . 0) (73 . 2)))
                (53 ((71 . 5)) ((72 . 1) (73 . 2)))
                (54 ((71 . 6)) ((72 . 2) (73 . 2)))
                (55 ((71 . 1)) ((72 . 0) (73 . 3)))
                (56 ((71 . 2)) ((72 . 1) (73 . 3)))
                (57 ((71 . 3)) ((72 . 2) (73 . 3)))
            )
        )
        (if (setq s (ssget "_:L" '((0 . "TEXT,MTEXT"))))
            (progn
                (repeat (setq i (sslength s))
                    (setq i (1- i)
                          x (entget (ssname s i))
                    )
                    (if (and (= "TEXT" (cdr (assoc 0 x))) (= 0 (cdr (assoc 72 x)) (cdr (assoc 73 x))))
                        (entmod (setq x (subst (cons 11 (cdr (assoc 10 x))) (assoc 11 x) x)));  (subst '(73 . 1) '(73 . 0) x)))
                    )
                    (setq l (cons x l))
                )
                (princ "\nAlter the alignment using the numberpad <done>: ")
                (while (and (= 2 (car (setq g (grread nil 2)))) (< 48 (cadr g) 58))
                    (setq g (cdr (assoc (cadr g) k)))
                    (foreach x l
                        (foreach y (if (= "MTEXT" (cdr (assoc 0 x))) (car g) (cadr g))
                            (setq x (subst y (assoc (car y) x) x))
                        )
                        (entmod x)
                    )
                )
            )
        )
        (princ)
    )
    Lee Mac ProgrammingTwitterExchange App StoreDropbox (500MB free)

    With Mathematics there is the possibility of perfect rigour, so why settle for less?

  6. #16
    Full Member
    Using
    AutoCAD 2010
    Join Date
    May 2009
    Posts
    68

    Default

    Registered forum members do not see this ad.

    Thank you perfect LEE
    As always tooles Lisp

    Danke perfekt LEE
    Wie immer tooles Lisp

Similar Threads

  1. Text hard to read in the Civil 3D text component editor?
    By CAD Panacea in forum AutoCAD RSS Feeds
    Replies: 0
    Last Post: 1st Jun 2015, 02:20 pm
  2. Text hard to read in the Civil 3D text component editor?
    By CAD Panacea in forum AutoCAD RSS Feeds
    Replies: 0
    Last Post: 6th Feb 2013, 03:20 pm
  3. Aligning text around a circle/arc
    By Matho in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 9
    Last Post: 7th May 2009, 06:03 pm
  4. arc with text aligning???
    By avieira in forum AutoCAD Beginners' Area
    Replies: 4
    Last Post: 30th Apr 2009, 02:23 pm
  5. Underlining text in the Multi text editor.
    By cad07 in forum AutoCAD Drawing Management & Output
    Replies: 5
    Last Post: 25th Feb 2007, 11:38 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts